> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ubik-agent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Lister les points de contrôle de la session

> Récupère une liste des points de contrôle pour la session d'agent.



## OpenAPI

````yaml /api-reference/openapi.fr.json get /agent-sessions/{session_id}/checkpoints
openapi: 3.1.0
info:
  title: UBIK Public API
  description: Publicly accessible API endpoints for UBIK.
  version: '1.0'
servers:
  - url: https://app.ubik-agent.com/api/v1
    description: Production Server
security: []
paths:
  /agent-sessions/{session_id}/checkpoints:
    get:
      tags:
        - Public API
        - Public API - Agent Sessions
      summary: Lister les points de contrôle de la session
      description: Récupère une liste des points de contrôle pour la session d'agent.
      operationId: list_session_checkpoints_agent_sessions__session_id__checkpoints_get
      parameters:
        - name: session_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Session Id
        - name: X-End-User-ID
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-End-User-Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicCheckpointListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    PublicCheckpointListResponse:
      properties:
        checkpoints:
          items:
            $ref: '#/components/schemas/PublicCheckpoint'
          type: array
          title: Checkpoints
      type: object
      required:
        - checkpoints
      title: PublicCheckpointListResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PublicCheckpoint:
      properties:
        checkpoint_name:
          type: string
          title: Checkpoint Name
          description: The unique name of the checkpoint.
        task_id:
          type: string
          title: Task Id
          description: The ID of the task that created this checkpoint.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Creation timestamp.
        metadata:
          additionalProperties: true
          type: object
          title: Metadata
          description: Metadata associated with the checkpoint.
      type: object
      required:
        - checkpoint_name
        - task_id
        - created_at
      title: PublicCheckpoint
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-KEY

````